--- policy-funcs.orig	2012-01-11 12:50:53.082612087 +0100
+++ policy-funcs	2012-01-11 12:56:18.278874769 +0100
@@ -16,6 +16,15 @@
 	getXconsole
 	PMS="/usr/bin/gnome-power-manager /usr/bin/kpowersave /usr/bin/xfce4-power-manager"
 	PMS="$PMS /usr/bin/guidance-power-manager /usr/lib/dalston/dalston-power-applet"
+
+	# gnome-power-manager is integrated with gnome-settings-daemon (in the
+	# power and media-keys plugins) since 3.1.4, so if we have that version
+	# installed, also check for gnome-settings-daemon.
+	GSD_VERSION="`dpkg-query --showformat='${Version}' --show gnome-settings-daemon 2>/dev/null`"
+	if dpkg --compare-versions "$GSD_VERSION" ge "3.1.4"; then
+		PMS="$PMS /usr/bin/gnome-settings-daemon"
+	fi
+
 	pidof -x $PMS > /dev/null ||
         { test "$XUSER" != "" && 
           pidof dcopserver > /dev/null &&
